<?
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php'; 
include_once '../../sys/inc/sess.php'; 
include_once '../../sys/inc/home.php'; 
include_once '../../sys/inc/settings.php'; 
include_once '../../sys/inc/db_connect.php'; 
include_once '../../sys/inc/ipua.php'; 
include_once '../../sys/inc/fnc.php'; 
include_once '../../sys/inc/user.php'; 
$set['title'] = "Смена ника"; 
include_once '../../sys/inc/thead.php'; 
title(); 
aut(); 

only_reg();

if (isset($_GET['ok']))
{
$cena='100';
$nick=mysql_real_escape_string($_POST['nick']);
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `nick` = '".my_esc($_POST['nick'])."'"),0)!=0)$err[]="<img src='/style/icons/error.png' alt='*'> <font color='red'>Этот ник уже зарегистрирован</font>\n";
if( !preg_match("#^([A-zА-я0-9\-\_\ ])+$#ui", $_POST['nick']))$err[]='<img src="/style/icons/error.png" alt="*"> В нике присутствуют запрещенные символы';
if (preg_match("#[a-z]+#ui", $_POST['nick']) && preg_match("#[а-я]+#ui", $_POST['nick']))$err[]='<img src="/style/icons/error.png" alt="*"> Разрешается использовать символы только русского или только английского алфавита';
if (preg_match("#(^\ )|(\ $)#ui", $_POST['nick']))$err[]='<img src="/style/icons/error.png" alt="*"> Запрещено использовать пробел в начале и конце ника';
if (strlen2($nick)<3)$err[]='<img src="/style/icons/error.png" alt="*"> Короткий ник';
if (strlen2($nick)>32)$err[]='<img src="/style/icons/error.png" alt="*"> Длина ника превышает 32 символа';
if($user['money']<$cena)$err[]='<img src="/style/icons/error.png" alt="*"> <font color="red">У Вас не достаточно монет, необходимо 100</font>';
if(!isset($err)){
mysql_query("UPDATE `user` SET `nick` = '$nick' WHERE `id` = '$user[id]' LIMIT 1");
if ($user['nick'] != $nick) {
mysql_query("INSERT INTO `history_nick` SET `nick_last` = '$user[nick]', `nick_new` = '$nick', `user_id` = '$user[id]', `who` = '$user[id]', `time` = '$time'");
}
mysql_query("UPDATE `user` SET `money` = '".($user['money']-$cena)."' WHERE `id` = '$user[id]' LIMIT 1");
$_SESSION['message'] = "<img src='/style/icons/success.png' alt='*'> <font color='green'>Ник успешно изменен.</font>";
header('Location: ?');
}
} 
err();

?>
<form class='main_menu' action='?ok' method="post">Выберите новый ник:<br />
<input type='text' name='nick' /><br />
<input class="submit" type="submit" value="Изменить" /><br />
У Вас <font color="green"><?= $user['money']?></font> монет.<br/>Стоимость смены ника 100 Монет.<br/>Если у вас недостаточно монет, вы можете <a href="/info/price.php">зарабатывать</a> их либо покупать в разделе "<a href="/user/money/index.php">Дополнительные услуги</a>".</form>
<?


include_once '../../sys/inc/tfoot.php';

?>
